ClientImpl.EchoContext (Apache CXF JavaDoc 4.2.2 API)
Description: declaration: package: org.apache.cxf.endpoint, class: ClientImpl, class: EchoContext

Package org.apache.cxf.endpoint

# Class ClientImpl.EchoContext

java.lang.Object
java.util.AbstractMap<String,Object>
java.util.concurrent.ConcurrentHashMap<String,Object>
org.apache.cxf.endpoint.ClientImpl.EchoContext

All Implemented Interfaces:
  `Serializable`, `ConcurrentMap<String,Object>`, `Map<String,Object>`

Enclosing class:
  `ClientImpl`

public class ClientImpl.EchoContext extends ConcurrentHashMap<String,Object>

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.concurrent.ConcurrentHashMap

  `ConcurrentHashMap.KeySetView<K,V>`

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EchoContext(Map<String,Object> sharedMap)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  `void`
  `reload()`

  ### Methods inherited from class java.util.concurrent.ConcurrentHashMap

  `compute, computeIfAbsent, computeIfPresent, contains, containsKey, containsValue, elements, entrySet, equals, forEach, forEach, forEach, forEachEntry, forEachEntry, forEachKey, forEachKey, forEachValue, forEachValue, get, getOrDefault, hashCode, isEmpty, keys, keySet, keySet, mappingCount, merge, newKeySet, newKeySet, put, putAll, putIfAbsent, reduce, reduceEntries, reduceEntries, reduceEntriesToDouble, reduceEntriesToInt, reduceEntriesToLong, reduceKeys, reduceKeys, reduceKeysToDouble, reduceKeysToInt, reduceKeysToLong, reduceToDouble, reduceToInt, reduceToLong, reduceValues, reduceValues, reduceValuesToDouble, reduceValuesToInt, reduceValuesToLong, remove, remove, replace, replace, replaceAll, search, searchEntries, searchKeys, searchValues, size, toString, values`

  ### Methods inherited from class java.util.AbstractMap

  `clone`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EchoContext

    public EchoContext(Map<String,Object> sharedMap)

- ## Method Details

  - ### reload

    public void reload()

  - ### clear

    public void clear()
    Specified by:
      `clear` in interface `Map<String,Object>`
    Overrides:
      `clear` in class `ConcurrentHashMap<String,Object>`